org.springframework.beans.factory.support

## Interface BeanDefinitionRegistryPostProcessor

- All Superinterfaces:
    BeanFactoryPostProcessor
  All Known Implementing Classes:
    ConfigurationClassPostProcessor

      public interface BeanDefinitionRegistryPostProcessor
      extends BeanFactoryPostProcessor

  Extension to the standard `BeanFactoryPostProcessor` SPI, allowing for the registration of further bean definitions before regular BeanFactoryPostProcessor detection kicks in. In particular, BeanDefinitionRegistryPostProcessor may register further bean definitions which in turn define BeanFactoryPostProcessor instances.
  Since:
    3.0.1
  Author:
    Juergen Hoeller
  See Also:
    `ConfigurationClassPostProcessor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postProcessBeanDefinitionRegistry(BeanDefinitionRegistry registry)` Modify the application context's internal bean definition registry after its standard initialization.

    - ### Methods inherited from interface org.springframework.beans.factory.config.BeanFactoryPostProcessor

      `postProcessBeanFactory`

- - ### Method Detail

    - #### postProcessBeanDefinitionRegistry

          void postProcessBeanDefinitionRegistry(BeanDefinitionRegistry registry)
                                                 throws BeansException

      Modify the application context's internal bean definition registry after its standard initialization. All regular bean definitions will have been loaded, but no beans will have been instantiated yet. This allows for adding further bean definitions before the next post-processing phase kicks in.
      Parameters:
        `registry` - the bean definition registry used by the application context
      Throws:
        `BeansException` - in case of errors